package com.bonus.canteen.core.alloc.mapper;

import java.util.List;
import com.bonus.canteen.core.alloc.domain.AllocStall;
import com.bonus.canteen.core.alloc.domain.AllocStallMealtime;
import org.apache.ibatis.annotations.Param;

/**
 * 档口信息Mapper接口
 * 
 * @author xsheng
 * @date 2025-04-03
 */
public interface AllocStallMapper {
    /**
     * 查询档口信息
     * 
     * @param stallId 档口信息主键
     * @return 档口信息
     */
    public AllocStall selectAllocStallByStallId(Long stallId);

    public AllocStall selectAllocStallByStallName(AllocStall allocStall);

    /**
     * 查询档口信息列表
     * 
     * @param allocStall 档口信息
     * @return 档口信息集合
     */
    public List<AllocStall> selectAllocStallList(AllocStall allocStall);

    /**
     * 新增档口信息
     * 
     * @param allocStall 档口信息
     * @return 结果
     */
    public int insertAllocStall(AllocStall allocStall);

    /**
     * 修改档口信息
     * 
     * @param allocStall 档口信息
     * @return 结果
     */
    public int updateAllocStall(AllocStall allocStall);

    /**
     * 删除档口信息
     * 
     * @param stallId 档口信息主键
     * @return 结果
     */
    public int deleteAllocStallByStallId(Long stallId);

    /**
     * 批量删除档口信息
     * 
     * @param stallIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAllocStallByStallIds(Long[] stallIds);

    public int selectAllocStallCountByCanteenIds(Long[] canteenIds);

    public int deleteMealtimeByStallId(Long stallId);

    public List<AllocStallMealtime> selectMealtimeByStallId(Long stallId);

    public int insertAllocStallMealtime(@Param("list") List<AllocStallMealtime> allocStallMealtimes);
}
